Bug 870004 - xHCI xhci_drop_endpoint called with disabled ep
xHCI xhci_drop_endpoint called with disabled ep
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 06:49 EDT by James Harrion
Modified: 2012-11-13 01:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 01:27:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Harrion 2012-10-25 06:49:35 EDT
Description of problem:

Plugging in the external USB 3 drive I see the following output in /var/log/messages:

[root@LP000138 ~]# Oct 25 11:26:47 LP000138 kernel: [  180.780944] usb 4-4.1: new SuperSpeed USB device number 3 using xhci_hcd
Oct 25 11:26:47 LP000138 kernel: [  180.793026] usb 4-4.1: New USB device found, idVendor=1058, idProduct=0730
Oct 25 11:26:47 LP000138 kernel: [  180.793034] usb 4-4.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct 25 11:26:47 LP000138 kernel: [  180.793037] usb 4-4.1: Product: My Passport 0730
Oct 25 11:26:47 LP000138 kernel: [  180.793041] usb 4-4.1: Manufacturer: Western Digital
Oct 25 11:26:47 LP000138 kernel: [  180.793043] usb 4-4.1: SerialNumber: 575838314134315435343738
Oct 25 11:26:47 LP000138 mtp-probe: checking bus 4, device 3: "/sys/devices/pci0000:00/0000:00:14.0/usb4/4-4/4-4.1"
Oct 25 11:26:47 LP000138 mtp-probe: bus: 4, device: 3 was not an MTP device
Oct 25 11:26:47 LP000138 kernel: [  180.875197] Initializing USB Mass Storage driver...
Oct 25 11:26:47 LP000138 kernel: [  180.875639] scsi6 : usb-storage 4-4.1:1.0
Oct 25 11:26:47 LP000138 kernel: [  180.876138] usbcore: registered new interface driver usb-storage
Oct 25 11:26:47 LP000138 kernel: [  180.876142] USB Mass Storage support registered.
Oct 25 11:26:58 LP000138 kernel: [  191.875708] scsi 6:0:0:0: Direct-Access     WD       My Passport 0730 1016 PQ: 0 ANSI: 6
Oct 25 11:26:58 LP000138 kernel: [  191.877169] sd 6:0:0:0: Attached scsi generic sg2 type 0
Oct 25 11:26:58 LP000138 kernel: [  191.877302] sd 6:0:0:0: [sdb] 1953458176 512-byte logical blocks: (1.00 TB/931 GiB)
Oct 25 11:26:58 LP000138 kernel: [  191.877443] sd 6:0:0:0: [sdb] Write Protect is off
Oct 25 11:26:58 LP000138 kernel: [  191.877579] sd 6:0:0:0: [sdb] No Caching mode page present
Oct 25 11:26:58 LP000138 kernel: [  191.877583] sd 6:0:0:0: [sdb] Assuming drive cache: write through
Oct 25 11:26:58 LP000138 kernel: [  191.878208] sd 6:0:0:0: [sdb] No Caching mode page present
Oct 25 11:26:58 LP000138 kernel: [  191.878213] sd 6:0:0:0: [sdb] Assuming drive cache: write through
Oct 25 11:26:58 LP000138 kernel: [  191.900265]  sdb: sdb1
Oct 25 11:26:58 LP000138 kernel: [  191.901334] sd 6:0:0:0: [sdb] No Caching mode page present
Oct 25 11:26:58 LP000138 kernel: [  191.901341] sd 6:0:0:0: [sdb] Assuming drive cache: write through
Oct 25 11:26:58 LP000138 kernel: [  191.901346] sd 6:0:0:0: [sdb] Attached SCSI disk
Oct 25 11:26:58 LP000138 kernel: [  191.904409] usb 4-4.1: Disable of device-initiated U1 failed.
Oct 25 11:26:58 LP000138 kernel: [  191.904483] usb 4-4.1: Disable of device-initiated U2 failed.
Oct 25 11:26:59 LP000138 kernel: [  191.966274] usb 4-4.1: Device not responding to set address.
Oct 25 11:26:59 LP000138 kernel: [  192.167012] usb 4-4.1: Device not responding to set address.
Oct 25 11:26:59 LP000138 kernel: [  192.367907] usb 4-4.1: device not accepting address 3, error -71
Oct 25 11:26:59 LP000138 kernel: [  192.429960] usb 4-4.1: Device not responding to set address.
Oct 25 11:26:59 LP000138 kernel: [  192.630853] usb 4-4.1: Device not responding to set address.
Oct 25 11:26:59 LP000138 kernel: [  192.831727] usb 4-4.1: device not accepting address 3, error -71
Oct 25 11:26:59 LP000138 kernel: [  192.893822] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:00 LP000138 kernel: [  193.094684] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:00 LP000138 kernel: [  193.295563] usb 4-4.1: device not accepting address 3, error -71
Oct 25 11:27:00 LP000138 kernel: [  193.357663] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:00 LP000138 kernel: [  193.558555] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:00 LP000138 kernel: [  193.759359] usb 4-4.1: device not accepting address 3, error -71
Oct 25 11:27:00 LP000138 kernel: [  193.759453] usb 4-4.1: USB disconnect, device number 3
Oct 25 11:27:00 LP000138 kernel: [  193.766621] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8801ec6e03c0
Oct 25 11:27:00 LP000138 kernel: [  193.766630] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8801ec6e0380
Oct 25 11:27:00 LP000138 udevd[556]: inotify_add_watch(6, /dev/sdb, 10) failed: No such file or directory
Oct 25 11:27:00 LP000138 kernel: [  193.828500] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:01 LP000138 kernel: [  194.029396] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:01 LP000138 kernel: [  194.230286] usb 4-4.1: device not accepting address 4, error -71
Oct 25 11:27:01 LP000138 kernel: [  194.292279] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:01 LP000138 kernel: [  194.493242] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:01 LP000138 kernel: [  194.694070] usb 4-4.1: device not accepting address 5, error -71
Oct 25 11:27:01 LP000138 kernel: [  194.756131] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:02 LP000138 kernel: [  194.957069] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:02 LP000138 kernel: [  195.157961] usb 4-4.1: device not accepting address 6, error -71
Oct 25 11:27:02 LP000138 kernel: [  195.220025] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:02 LP000138 kernel: [  195.420905] usb 4-4.1: Device not responding to set address.
Oct 25 11:27:02 LP000138 kernel: [  195.621810] usb 4-4.1: device not accepting address 7, error -71
Oct 25 11:27:02 LP000138 kernel: [  195.621834] hub 4-4:1.0: unable to enumerate USB device on port 1
Oct 25 11:27:02 LP000138 udevd[556]: inotify_add_watch(6, /dev/sdb1, 10) failed: No such file or directory
Oct 25 11:27:04 LP000138 kernel: [  197.777453] xhci_hcd 0000:00:14.0: WARN Event TRB for slot 1 ep 0 with no TDs queued?



Version-Release number of selected component (if applicable):
Linux LP000138 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

The machine is a DELL E5430. 8GB RAM

How reproducible:
Plug in drive to machine

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The disk fails to be recognised by the OS

Expected results:
/dev/sdb should be available

Additional info:
Comment 1 weltyj 2012-11-01 21:48:59 EDT
I have the exact same issue with the same WD my passport 0730 usb 3.0 drive.

Kernel is 3.6.3-1.fc17.x86_64
Hardware Lenovo 580, usb controllers are:

1) intel panther point enhanced host controller #2 (rev 04),
2) intel panther point xHCI Host controller (rev 04)

The usb3 ports work properly with any usb2 device, and the one usb2 port works properly with the WD drive, or any usb2 device.

I booted with the FC live i686 CD, and it handles the WD drive properly on the usb3 port, detecting it as a SuperSpeed USB drive using the xhci_hcd driver.  The kernel version on the live CD is 3.3.4-5.fc17.i686

I haven't done multiple kernels for a *long* time, other than what is loaded through rpms, but if someone would like me to try other kernels I'll give it a try.
 
Hope that helps.
Jeff Welty
Comment 2 weltyj 2012-11-02 17:58:33 EDT
Update on Nov 2:

I booted 64bit kernel version 3.3.4-5.fc17.x86_64, it mounts the WD passport properly on the usb3 ports with no issues at all.
Comment 3 James Harrion 2012-11-03 03:34:39 EDT
Hi weltyj@yahoo.com,

What hardware are you connecting the drive to?

Thats why I might have a problem.

Thanks,
James
Comment 4 weltyj 2012-11-03 17:20:17 EDT
(In reply to comment #3)
> Hi weltyj@yahoo.com,
> 
> What hardware are you connecting the drive to?
> 
> Thats why I might have a problem.
> 
> Thanks,
> James

Look back up at my initial post, it is an intel panther point xHCI host controller.  (run the command "lspci" to find out what you have)

The old fc17 kernel 3.3.4-5 works with the WD passport connected to the usb3 port, and the latest fc17 kernel of 3.6.3-1 doesn't work. 

You might try booting with the 3.3.4-5 kernel (grub called mine Fedora Linux with no version info) and see if it solves your problem too.  (It's the kernel found on the initial fc17 install)  If it works for you too it would also help confirm it is a change that happened between those kernels in the xhci_hdc kernel module that introduced the problem, at least for the WD passport drive.  

I don't have another usb3 device to test on the port.

Cheers,
Jeff
Comment 5 weltyj 2012-11-12 23:03:44 EST
I booted the 3.6.6-1.fc17.x86_64 kernel.  It properly detects and allows mounting of the WD passport drive on the usb3 port with the xhci_hcd driver.
Comment 6 James Harrion 2012-11-13 01:24:37 EST
@weltyj I agree. 

Problem for me is fixed.

Thanks who ever fixed it.
Comment 7 James Harrion 2012-11-13 01:27:52 EST
 This bug may be closed.

Note You need to log in before you can comment on or make changes to this bug.